local NLUIScourgeStone = CreateFrame("Frame","ScourgeStone");

NLUIScourgeStone:RegisterEvent("GOSSIP_SHOW");
NLUIScourgeStone:RegisterEvent("QUEST_PROGRESS");
NLUIScourgeStone:RegisterEvent("QUEST_COMPLETE");
NLUIScourgeStone:RegisterEvent("NEW_PET_ADDED");
NLUIScourgeStone:RegisterEvent("PLAYER_ENTERING_WORLD");

SLASH_ScourgeStone1 = '/buyGeist';
local function handler(msg, editbox)
    msg = tonumber(msg)
    if GetUnitName("TARGET") == "Veteran Crusader Aliocha Segard" then
        i = 0;
        while (i < msg)
        do
            BuyMerchantItem(2,1);
            i = i + 1;
        end
    end
end
SlashCmdList["ScourgeStone"] = handler

local function NLUIScourgeStoneEvents(self, event, ...) -- event scanning
    if event == "PLAYER_ENTERING_WORLD" then
        print("|cffffff66ScourgeStone Turn In |r|cffff3300 can be uninstalled when the Deaths Rising pre-patch event is over !|r")
    end
    if GetUnitName("TARGET") == "Veteran Crusader Aliocha Segard" then
        if event == "GOSSIP_SHOW" then
            if GetItemCount("Darkened Scourgestone") >= 25 then
                C_GossipInfo.SelectAvailableQuest(1);
            else
                if GetItemCount("Pitch Black Scourgestone") >= 25 then
                    C_GossipInfo.SelectAvailableQuest(2);
                end
            end
        elseif event == "QUEST_PROGRESS" then
            CompleteQuest()
        elseif event == "QUEST_COMPLETE" then
            GetQuestReward()
        end
    end
    if event == "NEW_PET_ADDED" then
        newpetGUID = ...
        speciesId, petGUID = C_PetJournal.FindPetIDByName("Putrid Geist");
        if petGUID == newpetGUID then
            C_PetJournal.CagePetByID(petGUID)
        end
    end
end


NLUIScourgeStone:SetScript("OnEvent",NLUIScourgeStoneEvents);